package com.gmei.up.utils

import scala.concurrent.Future
import com.redis.RedisClient

object Redis {
  // TODO read from config file

  implicit val ec: scala.concurrent.ExecutionContext = scala.concurrent.ExecutionContext.global

  val pRc4 = new RedisClient("172.16.50.145", 6379, 0, Some("XfkMCCdWDIU%ls$h"), 5000)

  def save(contentF: Future[IndexedSeq[Content]], deviceId: String, contentType: String): Unit = {
    val key = s"streaming:candidate:${contentType}:device_id:${deviceId}"
    pRc4.del(key)
    contentF.foreach { seq =>
      val ids = seq.map(c => c.id)
      if (ids.size > 0) {
        pRc4.lpush(key, ids.head, ids.tail)
        pRc4.expire(key, 60 * 60 * 24 * 15)
      }
    }
  }
}
